TARGETS = mountkernfs.sh bipom_installer.sh remap.sh ifupdown ifupdown-clean mountall.sh mountoverflowtmp urandom mountnfs.sh mountnfs-bootclean.sh hwclock.sh networking checkroot.sh hostname.sh bootmisc.sh mountall-bootclean.sh bootlogd mountdevsubfs.sh procps hwclockfirst.sh module-init-tools checkfs.sh stop-bootlogd-single mtab.sh
INTERACTIVE = bipom_installer.sh remap.sh checkroot.sh checkfs.sh
bipom_installer.sh: mountkernfs.sh
remap.sh: bipom_installer.sh
ifupdown: ifupdown-clean
ifupdown-clean: checkroot.sh
mountall.sh: checkfs.sh
mountoverflowtmp: mountall-bootclean.sh
urandom: mountall.sh mountoverflowtmp
mountnfs.sh: mountall.sh mountoverflowtmp networking ifupdown
mountnfs-bootclean.sh: mountall.sh mountoverflowtmp mountnfs.sh
hwclock.sh: checkroot.sh bootlogd
networking: mountkernfs.sh mountall.sh mountoverflowtmp ifupdown
checkroot.sh: mountdevsubfs.sh hostname.sh hwclockfirst.sh bootlogd
hostname.sh: bootlogd
bootmisc.sh: mountall.sh mountoverflowtmp mountnfs.sh mountnfs-bootclean.sh
mountall-bootclean.sh: mountall.sh
bootlogd: mountdevsubfs.sh
mountdevsubfs.sh: mountkernfs.sh
procps: bootlogd mountkernfs.sh mountall.sh mountoverflowtmp module-init-tools
hwclockfirst.sh: bootlogd mountdevsubfs.sh
module-init-tools: checkroot.sh
checkfs.sh: checkroot.sh mtab.sh
stop-bootlogd-single: mountall.sh mountoverflowtmp ifupdown ifupdown-clean urandom mountnfs.sh mountnfs-bootclean.sh hwclock.sh networking mountkernfs.sh checkroot.sh hostname.sh bootmisc.sh mountall-bootclean.sh bootlogd mountdevsubfs.sh procps hwclockfirst.sh bipom_installer.sh module-init-tools checkfs.sh mtab.sh remap.sh
mtab.sh: checkroot.sh
